Package org.eclipse.lemminx.services.extensions

## Interface IPositionRequest

All Known Subinterfaces:
  `ICompletionRequest`, `IDefinitionRequest`, `IHoverRequest`, `ILinkedEditingRangesRequest`, `IPrepareRenameRequest`, `IRenameRequest`, `ITypeDefinitionRequest`

    public interface IPositionRequest

### Method Summary

All Methods Instance Methods Abstract Methods
`<T> T` `getComponent​(Class clazz)`
`DOMAttr` `getCurrentAttribute()`
`String` `getCurrentAttributeName()`
`String` `getCurrentTag()`
`LineIndentInfo` `getLineIndentInfo()` Returns the line indent information of the offset where completion was triggered.
`DOMNode` `getNode()` Returns the node where completion was triggered.
`int` `getOffset()` Returns the offset where completion was triggered.
`DOMElement` `getParentElement()` Returns the parent element of the node where completion was triggered and null otherwise.
`org.eclipse.lsp4j.Position` `getPosition()` Returns the position
`DOMDocument` `getXMLDocument()` Returns the XML document.

### Method Detail

#### getOffset

    int getOffset()

Returns the offset where completion was triggered.

Returns:
  the offset where completion was triggered

#### getPosition

    org.eclipse.lsp4j.Position getPosition()

Returns the position

Returns:
  the position

#### getNode

    DOMNode getNode()

Returns the node where completion was triggered.

Returns:
  the offset where completion was triggered

#### getParentElement

    DOMElement getParentElement()

Returns the parent element of the node where completion was triggered and null otherwise.

Returns:
  the parent element of the node where completion was triggered and null otherwise.

#### getXMLDocument

    DOMDocument getXMLDocument()

Returns the XML document.

Returns:
  the XML document.

#### getCurrentTag

    String getCurrentTag()

#### getCurrentAttribute

    DOMAttr getCurrentAttribute()

#### getCurrentAttributeName

    String getCurrentAttributeName()

#### getLineIndentInfo

    LineIndentInfo getLineIndentInfo()
                              throws BadLocationException

Returns the line indent information of the offset where completion was triggered.

Returns:
Throws:
  `BadLocationException`

#### getComponent

    <T> T getComponent​(Class clazz)